IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[_datosOTGarantia]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[_datosOTGarantia]
GO
CREATE PROCEDURE [_datosOTGarantia]
	@p_idOT INT,
	@p_observaciones varchar(500)
AS
BEGIN

	select 
		CAST(doc_documento_ot_prefijo AS varchar) + '-' + CAST(doc_documento_ot_documento_numero AS varchar) documento_padre,
        doc_documento_ot_doc_subtipoDocumento_subtipoDocumento_codigo subtipoDocumento, 
	    doc_documento_ot_doc_prioridadDocumento_prioridadDocumento_codigo prioridadDocumento, 
	    doc_documento_ot_ter_tercero_cliente_tercero_codigo tercero_cliente, 
	    getdate() fecha, 
	    'G' tipoServicio, 
		ort_departamentoSolicitud_departamentoSolicitud_codigo departamentoSolicitud, 
	    seg_usuario_coordinador_usuario_codigo usuario_coordinador, 
	    ter_sucursal_sucursal_codigo sucursal, 
	    equ_equipo_equipo_codigo equipo, 
	    fechaGarantia_ff, 
	    contacto, 
	    cargo, 
	    direccionUbicacion, 
	    telefono, 
	    email, 
	    doc_documento_ot_ter_tercero_proveedor_tercero_codigo tercero_proveedor, 
        @p_observaciones motivoServicio, 
	    gen_zona_zona_codigo zona
	from view_doc_documento_ot
	where id = @p_idOT

	SELECT 
		cat_catalogo_actividad_codigoInventario catalogo, 
		1 cantidad
	from view_cat_catalogo_actividad
	where id = 1
END
